define({"342":{y:0,u:"../Content/ug/optimization/optimizing_performance.html",l:-1,t:"Optimizing Performance",i:0.000662877783871669,a:"Katana node graphs, their Op trees, and the scenes they subsequently create are incredibly flexible and varied. To optimally evaluate these scenes, an evaluation engine must be both efficient and flexible enough to handle the variety and complexity of scenes possible in Katana.  Geolib3-MT, the next ..."},"343":{y:0,u:"../Content/ug/optimization/configuration.html",l:-1,t:"Geolib3-MT Configuration",i:0.000721484485778649,a:"Geolib3-MT can be configured via the RenderSettings node. All Geolib3-MT options live under the sceneTraversal heading.\n sceneTraversal Parameters sceneTraversal.cache Parameters Geolib3-MT includes a number of settings to control the behavior of the caching subsystem. The caching subsystem is ..."},"344":{y:0,u:"../Content/ug/optimization/geolib3-mt_profiling.html",l:-1,t:"Geolib3-MT Profiling",i:0.000721484485778649,a:"Geolib3-MT adds a new render type, called Preview Render with Profiling, designed to help track down performance problems in scene traversal. This performs a normal Preview Render, but also captures information about which Ops have run, the amount of CPU used by them to cook locations, and the ..."},"345":{y:0,u:"../Content/tg/op_cook_profiling/op_cook_profiling.html",l:-1,t:"Op Cook Profiling",i:0.00177571954122207,a:"A Profiling mode exists in Katana. When launched in Profiling mode, Katana can generate reports on Op cook times within profiling sessions. Cook times are aggregated per Op instance, per location. These reports can help in pinpointing slow areas of the Op tree and scene graph. The profiling is low ..."},"346":{y:0,u:"../Content/tg/op_cook_profiling/profiling_session.html",l:-1,t:"Starting and Ending a Profiling Session",i:0.000957963832837879,a:"A profiling session can be started and ended on Katana\u0027s main Runtime using the following Python calls: from Katana import FnGeolib\n \n#Get the Runtime\nruntime = FnGeolib.GetRegisteredRuntimeInstance()\n \n#Start Profiling\nruntime.StartProfilingSession()\n \n...\n \n#End ..."},"347":{y:0,u:"../Content/tg/op_cook_profiling/profiling_renders.html",l:-1,t:"Profiling Renders",i:0.000957963832837879,a:"Renders are executed by the renderboot sub-process launched by Katana\u0027s katanaBin main process. This means that render processes have their own instances of the Geolib3 Runtime that can be profiled as well. Any renders launched in the standard, Interactive Katana mode, as well as the Shell and ..."},"348":{y:0,u:"../Content/tg/op_cook_profiling/profiling_reports.html",l:-1,t:"Profiling Reports",i:0.000957963832837879,a:"Creating Profiling Reports Profiling reports are generated at the end of each profiling session per process (katanaBin versus renderboot, for example), per Runtime instance. Renders that call the Katana procedural on multiple threads, for example, instantiate one Runtime per thread, each one ..."},"349":{y:0,u:"../Content/ug/optimization/profiling_optimization.html",l:-1,t:"Profiling and Optimization Guide",i:0.000721484485778649,a:"This guide describes a number of practical ways in which you can improve the performance of your Katana scenes and reduce render time. It also covers a number of systematic methods by which you can analyze your Katana scene to limit the time you need to spend optimizing your scene.\n         At ..."},"350":{y:0,u:"../Content/ug/optimization/improving_your_node_graph.html",l:-1,t:"Improving Your Node Graph        ",i:0.000733938427386326,a:"        Prune Locations as Early as Possible        The Prune node is used to remove objects from the scene. Given the processing model used by Geolib3-MT, the sooner unneeded scene graph locations/objects are pruned from the scene, the less work  required from both downstream Ops and Geolib3-MT ..."},"351":{y:0,u:"../Content/ug/optimization/improving_your_ops.html",l:-1,t:"Improving Your Ops\n        ",i:0.00489194086536482,a:"Improving Your Ops\n         Consider using a scalable memory allocator\n         A memory allocator receives requests from the user application for memory (via malloc()) and responds with the address of a memory location that can be used by the application. When the application has finished with the ..."},"352":{y:0,u:"../Content/ug/optimization/concurrency-friendly_scenes.html",l:-1,t:"Composing Concurrency-Friendly Scenes\n        ",i:0.000733938427386326,a:"Composing Concurrency-Friendly Scenes\n         Understand Scene Throughput and How to Identify Bottlenecks\n         In Geolib3-MT, system throughput is defined as the number of scene graph locations that are processed per second. In processing a given scene graph the moment-to-moment objective is to ..."},"353":{y:0,u:"../Content/ug/optimization/improve_opscript_performance.html",l:-1,t:"Improving OpScript Performance        ",i:0.000733938427386326,a:"        Understand the Lua Garbage Collector\n         In Lua, memory can be allocated on either the stack or the heap. Objects or memory allocated on the heap is reclaimed through Lua’s garbage collector. When the garbage collector is running your Lua code cannot make forward progress therefore, ..."},"354":{y:0,u:"../Content/rg/2d_nodes/2d_nodes.html",l:-1,t:"2D Nodes",i:0.000580622794655643,a:"2D Nodes The nodes in this section are 2D nodes that you can use within Katana. These are listed alphabetically, and each node includes a short description  followed by a list of the node\u0027s parameters and their functions."},"355":{y:0,u:"../Content/rg/color_2d.html",l:-1,t:"Color Nodes",i:0.000580622794655643,a:"Color Nodes Use the left menu to see the details for Katana\u0027s 2D Color nodes."},"356":{y:0,u:"../Content/rg/2d_nodes/imagebackgroundcolor.html",l:-1,t:"ImageBackgroundColor",i:0.00224696976393172,a:"ImageBackgroundColor Controls the background color of the input image using RGB, HSL, and/or HSV parameters.   "},"357":{y:0,u:"../Content/rg/2d_nodes/imagebrightness.html",l:-1,t:"ImageBrightness",i:0.000580622794655643,a:"ImageBrightness This node multiplies the image\u0027s RGB channels to increase or decrease brightness.  "},"358":{y:0,u:"../Content/rg/2d_nodes/imagechannels.html",l:-1,t:"ImageChannels",i:0.00224696976393172,a:"This node lets you: rearrange up to 4 channels from a single image (one input)  combine channels from several inputs into one output. For example, you can use it to combine two separate passes (such as the beauty pass and the reflection pass) into the same data stream. replace a channel with ..."},"359":{y:0,u:"../Content/rg/2d_nodes/imageclamp.html",l:-1,t:"ImageClamp",i:0.00224696976393172,a:"ImageClamp This node constrains, or clamps, values in the selected channels to a specified minimum and/or maximum range.     "},"360":{y:0,u:"../Content/rg/2d_nodes/imagecontrast.html",l:-1,t:"ImageContrast",i:0.00224696976393172,a:"ImageContrast This adjusts the input image\u0027s contrast around a fixed color point.  "},"361":{y:0,u:"../Content/rg/2d_nodes/imageexposure.html",l:-1,t:"ImageExposure",i:0.000580622794655643,a:"ImageExposure Allows you to adjust the exposure of the input sequence using f-stops or gain.  "},"362":{y:0,u:"../Content/rg/2d_nodes/imagefade.html",l:-1,t:"ImageFade",i:0.00224696976393172,a:"ImageFade This node fades the input image to a color of your choosing. By default, the image is faded to black.  "},"363":{y:0,u:"../Content/rg/2d_nodes/imagegain.html",l:-1,t:"ImageGain",i:0.000580622794655643,a:"ImageGain This node lets you adjust the gain in your input image. In other words, it multiplies a channel\u0027s values by a given factor, which has the effect of lightening the channel while preserving the blackpoint.  "},"364":{y:0,u:"../Content/rg/2d_nodes/imagegamma.html",l:-1,t:"ImageGamma",i:0.00224696976393172,a:"ImageGamma Applies a constant gamma value to the selected channels. This lightens or darkens the mid-tones.  "},"365":{y:0,u:"../Content/rg/2d_nodes/imageinvert.html",l:-1,t:"ImageInvert",i:0.00224696976393172,a:"ImageInvert Inverts a channel\u0027s values. To invert a channel is to subtract its values from 1, which causes its blacks to become white and its whites to become black. You may find this particularly useful to invert mattes.  "},"366":{y:0,u:"../Content/rg/2d_nodes/imagelevels.html",l:-1,t:"ImageLevels",i:0.00224696976393172,a:"ImageLevels This node controls the input, gamma, and output levels of the input image.  "},"367":{y:0,u:"../Content/rg/2d_nodes/imagesaturation.html",l:-1,t:"ImageSaturation",i:0.000580622794655643,a:"ImageSaturation This node is used to correct the input image\u0027s saturation (color intensity).  "},"368":{y:0,u:"../Content/rg/2d_nodes/imagethreshold.html",l:-1,t:"ImageThreshold",i:0.00224696976393172,a:"ImageThreshold The ImageThreshold node sets the value of the output pixels of an image, based on whether the value is above or below the value in the level parameter.    "},"369":{y:0,u:"../Content/rg/2d_nodes/ociocdltransform.html",l:-1,t:"OCIOCDLTransform",i:0.000580622794655643,a:"OCIOCDLTransform This node applies an ASC CDL grade. The calculation uses output = (i * s + o)^p where i is the input value, s is slope, o is offset and p is power.   "},"370":{y:0,u:"../Content/rg/2d_nodes/ociocolorspace.html",l:-1,t:"OCIOColorSpace",i:0.000580622794655643,a:"OCIOColorSpace This node converts the input colorspace to another specified colorspace.   "},"371":{y:0,u:"../Content/rg/2d_nodes/ociodisplay.html",l:-1,t:"OCIODisplay",i:0.000580622794655643,a:"OCIODisplay This node is used to convert the input colorspace to display device-suitable values.   "},"372":{y:0,u:"../Content/rg/2d_nodes/ociofiletransform.html",l:-1,t:"OCIOFileTransform",i:0.000580622794655643,a:"OCIOFileTransform This node applies a LUT transform using a specified file.  "},"373":{y:0,u:"../Content/rg/2d_nodes/ociologconvert.html",l:-1,t:"OCIOLogConvert",i:0.000580622794655643,a:"This node can be used to override the Kodak-recommended settings when making Cineon conversions in either direction (lin to log or log to lin). It\u0027s rare that you would want to override these settings, but if it becomes necessary you can use the OCIOLogConvert node. If you do, you should also check ..."},"374":{y:0,u:"../Content/rg/2d_nodes/ociolooktransform.html",l:-1,t:"OCIOLookTransform",i:0.000580622794655643,a:"OCIOLookTransform This node provides a way to apply per-shot color correction as specified using the OpenColorIO look mechanism.  "},"375":{y:0,u:"../Content/rg/composite_2d.html",l:-1,t:"Composite Nodes",i:0.000580622794655643,a:"Composite Nodes Use the left menu to see the details for Katana\u0027s 2D Composite nodes."},"376":{y:0,u:"../Content/rg/2d_nodes/imagein.html",l:-1,t:"ImageIn",i:0.000580622794655643,a:"ImageIn This node layers images together using the In compositing algorithm: Bf. It only shows the areas of the background that overlap with the alpha of the foreground. It can be useful for combining mattes. You can also specify a different compositing algorithm using the operation control.      "},"377":{y:0,u:"../Content/rg/2d_nodes/imagemerge.html",l:-1,t:"ImageMerge",i:0.000580622794655643,a:"ImageMerge This node is a generic merge node that is able to perform all the other merge operations supported by Katana.  "},"378":{y:0,u:"../Content/rg/2d_nodes/imageout.html",l:-1,t:"ImageOut",i:0.000580622794655643,a:"ImageOut This node layers images together using the Out compositing algorithm: B(1-f). Only shows the areas of the background that do not overlap with the alpha of the foreground. This can be useful for combining mattes.       "},"379":{y:0,u:"../Content/rg/2d_nodes/imagepremultiply.html",l:-1,t:"ImagePremultiply",i:0.00100977976697849,a:"ImagePremultiply This node premultiplies (mult) the rgb channels by the alphaChannel when an image is connected to the alpha input. Otherwise, a is read from the input leaving the alpha channel unchanged. Also see  ImageUnpremultiply .              "},"380":{y:0,u:"../Content/rg/2d_nodes/imageunpremultiply.html",l:-1,t:"ImageUnpremultiply",i:0.00100977976697849,a:"ImageUnpremultiply This node divides the RGB channels by the alphaChannel when an image is connected to the alpha input. Otherwise, a is read from the input leaving the alpha channel unchanged. Also see  ImagePremultiply .            "},"381":{y:0,u:"../Content/rg/2d_nodes/imagezmerge.html",l:-1,t:"ImageZMerge",i:0.000580622794655643,a:"The ImageZMerge node applies a simple A over B composite. A and B are determined by examining the corresponding depth image and making A the image that has the lower (closer) depth value. A depth of 0 is assumed to be infinitely far away. An accumulated depth for the result is also available as the ..."},"382":{y:0,u:"../Content/rg/filter_2d.html",l:-1,t:"Filter",i:0.000580622794655643,a:"Filter Nodes Use the left menu to see the details for Katana\u0027s 2D Filter nodes."},"383":{y:0,u:"../Content/rg/2d_nodes/imageblur.html",l:-1,t:"ImageBlur",i:0.000580622794655643,a:"ImageBlur Adds blur to an image or matte using Box, Triangle, Gaussian, Bell, BSpline, or Mitchell filter algorithms. The blur value is calculated for image pixels by examining their neighbors within the constraints of the xAmount and yAmount controls, and applying the selected algorithms.      "},"384":{y:0,u:"../Content/rg/io_2d.html",l:-1,t:"I/O Nodes",i:0.000580622794655643,a:"I/O Nodes Use the left menu to see the details for Katana\u0027s 2D I/O nodes."},"385":{y:0,u:"../Content/rg/2d_nodes/imageread.html",l:-1,t:"ImageRead",i:0.00224696976393172,a:"This node loads images from disk, using the native resolution and the frame range for the sequence. It converts all imported sequences to Katana\u0027s linear colorspace automatically, but there are options to control this. Note that Katana\u0027s image processing operations are written assuming they are ..."},"386":{y:0,u:"../Content/rg/2d_nodes/imagewrite.html",l:-1,t:"ImageWrite",i:0.00224696976393172,a:"ImageWrite writes its incoming image to a file on disk. The ImageWrite node, unless defaults are overridden, converts images from Katana\u0027s linear colorspace to the colorspace named in the filename. Katana image processing nodes work entirely in floating point, so images are also converted from ..."},"387":{y:0,u:"../Content/rg/source_2d.html",l:-1,t:"Source Nodes",i:0.000580622794655643,a:"Source Nodes Use the left menu to see the details for Katana\u0027s 2D Source nodes."},"388":{y:0,u:"../Content/rg/2d_nodes/imagecheckerboard.html",l:-1,t:"ImageCheckerboard",i:0.00224696976393172,a:"ImageCheckerboard The ImageCheckerboard allows you to create a checkerboard pattern. You can specify the checkers\u0027 size and colors and the checkerboard\u0027s bounds."},"389":{y:0,u:"../Content/rg/2d_nodes/imagecolor.html",l:-1,t:"ImageColor",i:0.00224696976393172,a:"ImageColor Generates an image where every pixel is the same color. By default, the image is white.   "},"390":{y:0,u:"../Content/rg/2d_nodes/imageramp.html",l:-1,t:"ImageRamp",i:0.00224696976393172,a:"ImageRamp Generates a gradation with various parameters."},"391":{y:0,u:"../Content/rg/2d_nodes/imagetext.html",l:-1,t:"ImageText",i:0.00224696976393172,a:"ImageText An ImageText node is a 2D node that generates an image overlaid with text.  "},"392":{y:0,u:"../Content/rg/transform_2d.html",l:-1,t:"Transform",i:0.000580622794655643,a:"Transform Nodes Use the left menu to see the details for Katana\u0027s 2D Transform nodes."},"393":{y:0,u:"../Content/rg/2d_nodes/imagecrop.html",l:-1,t:"ImageCrop",i:0.00249373473157979,a:"This node removes, or crops, image information outside a defined area, though Katana has both a data window and a display window (to use the EXR terminology).  The display window is the image frame. The data window is the area that actually contains pixels. The data window may be larger or smaller ..."},"394":{y:0,u:"../Content/rg/2d_nodes/imageorient.html",l:-1,t:"ImageOrient",i:0.000580622794655643,a:"ImageOrient This node allows you to rotate, flip, and flop the input image around its center. A flip on the x axis mirrors the image vertically. A flop on the on the y axis mirrors the image horizontally.  "},"395":{y:0,u:"../Content/rg/2d_nodes/imageposition.html",l:-1,t:"ImagePosition",i:0.000580622794655643,a:"ImagePosition This node applies an integer, non-resampled offset to the input image. If you are looking to do a transform with sub-pixel re-sampling, see  ImageTransform2D  instead.      "},"396":{y:0,u:"../Content/rg/2d_nodes/imagereformat.html",l:-1,t:"ImageReformat",i:0.00224696976393172,a:"Reformat lets you resize your image sequence width and height using the incoming displayWindow to determine the scale factor. This also allows you to use plates of varying image resolution on a single recipe without running into issues when combining them. If no resize is needed, filtering is NOT ..."},"397":{y:0,u:"../Content/rg/2d_nodes/imagetransform2d.html",l:-1,t:"ImageTransform2D",i:0.00178233142332343,a:"ImageTransform2D ImageTransform2D lets you not only translate elements, but also rotate, scale, and shear them.  "},"398":{y:0,u:"../Content/rg/3d_nodes/3d_nodes.html",l:-1,t:"3D Nodes",i:0.000580622794655643,a:"3D Nodes The nodes in this section are 3D nodes that you can use within Katana. These are listed alphabetically, and each node includes a short description  followed by a list of the node\u0027s parameters and their functions."},"399":{y:0,u:"../Content/rg/constraint_3d.html",l:-1,t:"Constraint Nodes",i:0.000580622794655643,a:"Constraint Nodes Use the left menu to see the details for Katana\u0027s 3D Constraint nodes."},"400":{y:0,u:"../Content/rg/3d_nodes/aimconstraint.html",l:-1,t:"AimConstraint",i:0.00224696976393172,a:"AimConstraint Applies an aim constraint to an object in the scene graph. Aim constraints are undefined if baseAimAxis and baseUpAxis are collinear. Applying an aim constraint to a location that is already correctly oriented is likely to result in an arbitrary rotation about the aim axis.  "},"401":{y:0,u:"../Content/rg/3d_nodes/billboardconstraint.html",l:-1,t:"BillboardConstraint",i:0.00224696976393172,a:"BillboardConstraint Applies an aim constraint to an object in a scene. To get the best possible aim, the constraint only rotates around the axis defined by baseRotateAxis.  "},"402":{y:0,u:"../Content/rg/3d_nodes/camerascreenwindowconstraint.html",l:-1,t:"CameraScreenWindowConstraint",i:0.00224696976393172,a:"This node is used to orient, scale, and position the base scene graph location so that it sits at a specified distance from the camera and fits the camera screen window exactly. This is mainly useful for registering primitive plane objects with the camera for rendering through the 2D ImagePlane and ..."},"403":{y:0,u:"../Content/rg/3d_nodes/clippingconstraint.html",l:-1,t:"ClippingConstraint",i:0.00224696976393172,a:"ClippingConstraint This node adjusts the camera\u0027s near and far clipping planes to fit just in front of and behind the target (along the axis from the camera). You can view the results of the ClippingConstraint node by turning on Scenegraph Implicit Resolvers at the top.   "},"404":{y:0,u:"../Content/rg/3d_nodes/dollyconstraint.html",l:-1,t:"DollyConstraint",i:0.00390776934618584,a:"DollyConstraint This node translates the camera along its look at (or local Z) axis, moving it towards or away from the target. DollyConstraint ensures that the target fits exactly in the camera\u0027s screen window and is useful for turntable setup. See also  FOVConstraint .  "},"405":{y:0,u:"../Content/rg/3d_nodes/fovconstraint.html",l:-1,t:"FOVConstraint",i:0.00390776934618584,a:"This node constrains the field of view of a camera to fit the target geometry. FOVConstraint closes or opens the field of view of a camera from all sides while the center of the frame remains the same. If an object is located at the edge of a light\u0027s view, the FOVConstraint should be combined with ..."},"406":{y:0,u:"../Content/rg/3d_nodes/orientconstraint.html",l:-1,t:"OrientConstraint",i:0.00518533401782689,a:"OrientConstraint OrientConstraint matches the rotation (orientation) of the object in basePath to the object in targetPath. See also  ParentChildConstraint  and  PointConstraint .  "},"407":{y:0,u:"../Content/rg/3d_nodes/parentchildconstraint.html",l:-1,t:"ParentChildConstraint",i:0.00518533401782689,a:"ParentChildConstraint Constrains the translate, rotate, and scale values of one object (the parent) to another (the child). See also  OrientConstraint  and  PointConstraint .  "},"408":{y:0,u:"../Content/rg/3d_nodes/pointconstraint.html",l:-1,t:"PointConstraint",i:0.00518533401782689,a:"PointConstraint Applies a constraint that translates the base object to a point defined by the target object(s). See also  OrientConstraint  and  ParentChildConstraint .  "},"409":{y:0,u:"../Content/rg/3d_nodes/reflectionconstraint.html",l:-1,t:"ReflectionConstraint",i:0.00224696976393172,a:"ReflectionConstraint ReflectionConstraint transforms the base object to a mirrored position opposite the target plane object.  "},"410":{y:0,u:"../Content/rg/3d_nodes/scaleconstraint.html",l:-1,t:"ScaleConstraint",i:0.000580622794655643,a:"ScaleConstraint This node constrains the base object to the scale of the target object.  "},"411":{y:0,u:"../Content/rg/3d_nodes/screencoordinateconstraint.html",l:-1,t:"ScreenCoordinateConstraint",i:0.00224696976393172,a:"ScreenCoordinateConstraint ScreenCoordinateConstraint modifies the camera screen window to fit the target object(s).  "},"412":{y:0,u:"../Content/rg/input_3d.html",l:-1,t:"Input Nodes",i:0.000580622794655643,a:"Input Nodes Use the left menu to see the details for Katana\u0027s 3D Input nodes."},"413":{y:0,u:"../Content/rg/3d_nodes/attributefile_in.html",l:-1,t:"AttributeFile_In",i:0.00224696976393172,a:"AttributeFile_In This node reads in an attribute file from a specified location and applies the attribute changes to the scene graph locations specified by the CEL statement.  "},"414":{y:0,u:"../Content/rg/3d_nodes/scenegraphxml_in.html",l:-1,t:"ScenegraphXml_In",i:0.00224696976393172,a:"XML is a simple way to describe a hierarchical structure. Katana leverages this format to provide a rich descriptive asset language. Through XML, assets can be structured so they can be loaded and manipulated in stages. Simpler parts of the asset can load quicker and use less memory, only loading ..."},"415":{y:0,u:"../Content/rg/lookfile_3d.html",l:-1,t:"Lookfile Nodes",i:0.000580622794655643,a:"Lookfile Nodes Use the left menu to see the details for Katana\u0027s 3D Lookfile nodes."},"416":{y:0,u:"../Content/rg/3d_nodes/lookfilebake.html",l:-1,t:"LookFileBake",i:0.00224696976393172,a:"LookFileBake Bakes a Look File for a scene graph location(s) specified in the rootLocations field.  "},"417":{y:0,u:"../Content/rg/3d_nodes/lookfilelightandconstraintactivator.html",l:-1,t:"LookFileLightAndConstraintActivator",i:0.000580622794655643,a:"Katana maintains a list of lights, cameras, and constraints at /root/world within the scene graph. When a Look File brings in a light or constraint, the lists at /root/world need to be updated. The LookFileLightAndConstraintActivator node activates LookFile lights and constraints by updating the ..."},"418":{y:0,u:"../Content/rg/3d_nodes/lookfilemanager.html",l:-1,t:"LookFileManager",i:0.00153556645567536,a:"LookFileManager decodes incoming Look Files that have been set up in another scene. Each Look File piece of imported geometry passed into this node must be assigned through a LookFileAssign node. Once the Look File is assigned, LookFileManager decodes the Look File into the passes set up by the look ..."},"419":{y:0,u:"../Content/rg/3d_nodes/lookfilematerialsin.html",l:-1,t:"LookFileMaterialsIn",i:0.00224696976393172,a:"LookFileMaterialsIn This node loads materials from a Look File into the local scene to allow additional edits before they are applied to the scene.  "},"420":{y:0,u:"../Content/rg/3d_nodes/lookfilematerialsout.html",l:-1,t:"LookFileMaterialsOut",i:0.00224696976393172,a:"LookFileMaterialsOut Use this node to write incoming materials into a Look File. This is useful for creating a material library that can be read into other scenes.   "},"421":{y:0,u:"../Content/rg/3d_nodes/lookfilemultibake.html",l:-1,t:"LookFileMultiBake",i:0.00224696976393172,a:"LookFileMultiBake LookFileMultiBake is a convenient SuperTool that wraps multiple LookFileBake nodes into a single node. Passes are shared between nodes, and the Look Files can be baked individually or all at once.    "},"422":{y:0,u:"../Content/rg/3d_nodes/lookfileoverrideenable.html",l:-1,t:"LookFileOverrideEnable",i:0.00224696976393172,a:"LookFileOverrideEnable LookFileOverrideEnable allows you to  bring into the scene materials from a specific Look File/pass so you can override them before the Look File is resolved using the LookFileResolve node.   "},"423":{y:0,u:"../Content/rg/3d_nodes/lookfileresolve.html",l:-1,t:"LookFileResolve",i:0.00224696976393172,a:"LookFileResolve This node applies a specific pass from assigned Look Files to the scene.  "},"424":{y:0,u:"../Content/rg/output_3d.html",l:-1,t:"Output Nodes",i:0.000580622794655643,a:"Output Nodes Use the left menu to see the details for Katana\u0027s 3D Output nodes."},"425":{y:0,u:"../Content/rg/3d_nodes/render.html",l:-1,t:"Render",i:0.000580622794655643,a:"The Render node takes a scene as input and renders images. The first input on this node is the scene to render. Additional inputs are dependency connections, which are used to track dependencies between passes. Each Render node is intended to be a single invocation of RenderMan or another renderer. ..."},"426":{y:0,u:"../Content/rg/procedural_3d.html",l:-1,t:"Procedural Nodes",i:0.000580622794655643,a:"Procedural Nodes Use the left menu to see the details for Katana\u0027s 3D Procedural nodes."},"427":{y:0,u:"../Content/rg/3d_nodes/alembic_in.html",l:-1,t:"Alembic_In",i:0.00224696976393172,a:"The Alembic_In node enables you to import Alembic assets. Alembic is an open source scene information interchange framework that distills complex, animated scenes into non-procedural, application-independent, baked geometric results. It stores only the baked information and not how that information ..."},"428":{y:0,u:"../Content/rg/3d_nodes/rendererproceduralargs.html",l:-1,t:"RendererProceduralArgs",i:0.00224696976393172,a:"The RendererProceduralArgs node allows you to use and declare renderer procedurals, such as native Arnold or RenderMan  procedurals. For example you can use procedurals to generate hair or other geometry. Procedurals are assigned to scene graph locations of type \u0027renderer procedural\u0027 with the  ..."},"429":{y:0,u:"../Content/rg/resolve_3d.html",l:-1,t:"Resolve Nodes",i:0.000580622794655643,a:"Resolve Nodes Use the left menu to see the details for Katana\u0027s 3D Resolve nodes."},"430":{y:0,u:"../Content/rg/3d_nodes/constraintresolve.html",l:-1,t:"ConstraintResolve",i:0.000580622794655643,a:"ConstraintResolve This node resolves all constraints stored on the locations referenced in globals.constraintList at /root/world."},"431":{y:0,u:"../Content/rg/3d_nodes/materialresolve.html",l:-1,t:"MaterialResolve",i:0.000580622794655643,a:"Resolves materials in the scene graph. At scene graph locations with materialAssign attributes, it finds the material that is referenced and copies its material attributes to the scene graph location. Results of this operation can be viewed in the Attributes tab. It can also be used to apply ..."},"432":{y:0,u:"../Content/rg/source_3d.html",l:-1,t:"Source Nodes",i:0.000580622794655643,a:"Source Nodes Use the left menu to see the details for Katana\u0027s 3D Source nodes."},"433":{y:0,u:"../Content/rg/3d_nodes/cameracreate.html",l:-1,t:"CameraCreate",i:0.00323402963452403,a:"The CameraCreate node is used to create a scene graph containing a camera. CameraCreate does not load the camera from any file or asset but instead builds an entirely new camera from the parameters you specify on this node. LightCreate and CameraCreate are identical, except for the type of scene ..."},"434":{y:0,u:"../Content/rg/3d_nodes/cameraimageplanecreate.html",l:-1,t:"CameraImagePlaneCreate",i:0.00224696976393172,a:"Creates attributes on a camera that describe an image plane. In the Viewer, the camera displays the image plane. If you are not seeing image planes in the Viewer, make sure to turn on the image plane button in the Viewer tab. This button globally turns on/off all image planes in the Viewer.   "},"435":{y:0,u:"../Content/rg/3d_nodes/collectioncreate.html",l:-1,t:"CollectionCreate",i:0.00224696976393172,a:"CollectionCreate Collections are used to store a CEL statement. They are stored as attributes in the  location given by the location parameter (see below). As they are simply attributes within the scene graph, collections can be included within Katana look files.  "},"436":{y:0,u:"../Content/rg/3d_nodes/coordinatesystemdefine.html",l:-1,t:"CoordinateSystemDefine",i:0.00224696976393172,a:"CoordinateSystemDefine Creates a named coordinate system accessed by PRMan shaders. The list of all global named coordinate systems can be found in /root/world, globals.coordinateSystems.    "},"437":{y:0,u:"../Content/rg/3d_nodes/infocreate.html",l:-1,t:"InfoCreate",i:0.00224696976393172,a:"This node creates a hierarchy of info locations, each tagged with the specified xml block. If leafName is specified, locations named with the leafName are created as children of the specified locations. If leafName is left empty, info locations are created directly at the specified locations.  ..."},});